Subject: Re: linux-next: manual merge of the percpu tree with the net tree

From: Tejun Heo <[email-masked]>
Date: Wed, 03 Feb 2010 15:20:39 +0900

Hello,

On 02/03/2010 02:38 PM, Stephen Rothwell wrote:
> Today's linux-next merge of the percpu tree got a conflict in
> net/ipv6/proc.c between commit 5833929cc2ad2b3064b4fac8c44e293972d240d8
> ("net: constify MIB name tables") from the net tree and commit
> d3f5fa4075414c7754126fbdc7c8fbd3906db7c8 ("percpu: add __percpu sparse
> annotations to net") from the percpu tree.
> 
> I fixed it up (see below) and can carry the fix as necessary.
> 
> Maybe you guys could send Linus a simple one line patch for v2.6.33 that
> adds
> 
> #define __percpu
> 
> to include/linux/compiler.h (unconditionally) and then farm out the
> patches that add the __percpu annotations to other maintainers.

How about just adding dummy #define __percpu in each tree?  I don't
think git will have much problem merging them.

-- 
tejun